<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- @author: david.cifuentes -->

<!--  cambiar la bandera para que se muestre si tipo tramite es eq via gubernativa -->
<!--  los select items se deben consultar del mb cuando el tipo de tramite es via gubernativa o revocatoria directa -->


<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             xmlns:p="http://primefaces.org/ui" width="100%"
             id="datosTramitesViaGubernativaMuestraPanelGrid">

    <h:panelGrid columns="1" >

        <h:panelGrid columns="2" rendered="#{selectedSolicitudParam.viaGubernativa}">

            <h:outputLabel value="Número de Resolución: "
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="#{managedBeanParam.numResolucion}" id="numeroResolucion"
                           styleClass="font-weight: bold; font-size: 12px; text-decoration: underline;"/>

        </h:panelGrid>


        <p:panel header="Información de Trámites" toggleable="false" id="infoTramites">

            <p:dataTable value="#{managedBeanParam.tramitesGubernativaAll}"
                         var="tramite" widgetVar="tablaTramites" id="tablaTramites"
                         paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                         emptyMessage="No se encontraron trámites">

                <p:column headerText="Número de radicación">
                    <h:outputText value="#{tramite.numeroRadicacion}" />
                </p:column>

                <p:column headerText="Fecha de radicación">
                    <h:outputText value="#{tramite.fechaRadicacion}" >
                        <f:convertDateTime
                            pattern="#{general.formatoFechaComponenteCalendar}" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Tipo de Trámite">
                    <h:outputText value="#{tramite.tipoTramite}" id="TramiteTipoTramiteV">
                        <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Departamento">
                    <h:outputText value="#{tramite.departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText value="#{tramite.municipio.nombre}" />
                </p:column>

                <p:column headerText="Número Predial">
                    <h:outputText value="#{tramite.predio.formatedNumeroPredial}" />
                </p:column>

            </p:dataTable>

        </p:panel>

    </h:panelGrid>

</h:panelGrid>
